Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SafeHashMap.EntrySet

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
com.tangosol.util.SafeHashMap.EntrySet`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

Direct Known Subclasses:
  OldCache.EntrySet

Enclosing class:
  SafeHashMap

      protected class SafeHashMap.EntrySet

extends java.util.AbstractSet
implements java.io.Serializable

A set of entries backed by this map.

Nested Class Summary
`protected class` | `SafeHashMap.EntrySet.EntrySetIterator` An Iterator over the EntrySet that is backed by the SafeHashMap.

Constructor Summary
`protected` | `SafeHashMap.EntrySet()`

Method Summary
`void` | `clear()` Removes all of the elements from this set of Keys by clearing the underlying Map.
`boolean` | `contains(java.lang.Object o)` Returns `true` if this collection contains the specified element.
`protected java.util.Iterator` | `instantiateIterator()` Factory pattern.
`java.util.Iterator` | `iterator()` Returns an iterator over the elements contained in this collection.
`boolean` | `remove(java.lang.Object o)` Removes the specified element from this Set of entries if it is present by removing the associated entry from the underlying Map.
`int` | `size()` Returns the number of elements in this collection.
`java.lang.Object[]` | `toArray()` Returns an array containing all of the elements in this collection.
`java.lang.Object[]` | `toArray(java.lang.Object[] a)` Returns an array with a runtime type is that of the specified array and that contains all of the elements in this collection.

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, retainAll, toString`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, isEmpty, retainAll`

Constructor Detail

### SafeHashMap.EntrySet

    protected SafeHashMap.EntrySet()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Returns an iterator over the elements contained in this collection.
  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`
  Returns:
    an iterator over the elements contained in this collection.

### size

    public int size()

  Returns the number of elements in this collection. If the collection contains more than `Integer.MAX_VALUE` elements, returns `Integer.MAX_VALUE`.
  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`
  Returns:
    the number of elements in this collection.

### contains

    public boolean contains(java.lang.Object o)

  Returns `true` if this collection contains the specified element. More formally, returns `true` if and only if this collection contains at least one element `e` such that `(o==null ? e==null : o.equals(e))`.
  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `java.util.AbstractCollection`
  Parameters:
    `o` - object to be checked for containment in this collection
  Returns:
    `true` if this collection contains the specified element

### remove

    public boolean remove(java.lang.Object o)

  Removes the specified element from this Set of entries if it is present by removing the associated entry from the underlying Map.
  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`
  Overrides:
    `remove` in class `java.util.AbstractCollection`
  Parameters:
    `o` - object to be removed from this set, if present
  Returns:
    true if the set contained the specified element

### clear

    public void clear()

  Removes all of the elements from this set of Keys by clearing the underlying Map.
  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.Set`
  Overrides:
    `clear` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray()

  Returns an array containing all of the elements in this collection. If the collection makes any guarantees as to what order its elements are returned by its iterator, this method must return the elements in the same order. The returned array will be "safe" in that no references to it are maintained by the collection. (In other words, this method must allocate a new array even if the collection is backed by an Array). The caller is thus free to modify the returned array.
  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`
  Returns:
    an array containing all of the elements in this collection

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Returns an array with a runtime type is that of the specified array and that contains all of the elements in this collection. If the collection fits in the specified array, it is returned there = in. Otherwise, a new array is allocated with the runtime type of the specified array and the size of this collection.

  If the collection fits in the specified array with room to spare (i.e., the array has more elements than the collection), the element in the array immediately following the end of the collection is set to `null`. This is useful in determining the length of the collection only if the caller knows that the collection does not contain any `null` elements.)

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`
  Parameters:
    `a` - the array into which the elements of the collection are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose
  Returns:
    an array containing the elements of the collection
  Throws:
    `java.lang.ArrayStoreException` - if the runtime type of the specified array is not a supertype of the runtime type of every element in this collection

### instantiateIterator

    protected java.util.Iterator instantiateIterator()

  Factory pattern.
  Returns:
    a new instance of an Iterator over the EntrySet

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.